<h1 mat-dialog-title>Podsumowanie </h1>
<div mat-dialog-content>
    <div *ngFor="let list of lists; let index = index">
        <h2>{{list.name}}</h2>
        <span class="list-title">Ostatnio zakończone zadania:</span>
        <ul>
            <ng-container *ngFor="let task of list.tasks; let taskIndex = index">
                <li *ngIf="taskIndex < 2 && task.isDone">
                    {{task.title}}
                </li>
            </ng-container>
        </ul>
        <span class="list-title">Następne zadania:</span>
        <ul>
            <ng-container *ngFor="let task of list.tasks.reverse(); let taskIndex = index">
                <li *ngIf="taskIndex < 2 && !task.isDone">
                    {{task.title}}
                </li>
            </ng-container>
        </ul>
    </div>
</div>
<div mat-dialog-actions>
    <button mat-button [mat-dialog-close]="true">Ok</button>
</div>